DCMTK: dcmtk::log4cplus::spi::InternalLoggingEvent Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
dcmtk::log4cplus::spi::InternalLoggingEvent Class Reference

The internal representation of logging events. More...

## Public Member Functions
| InternalLoggingEvent (const log4cplus::tstring &logger, LogLevel loglevel, const log4cplus::tstring &message, const char *filename, int line)
| Instantiate a LoggingEvent from the supplied parameters.
virtual const log4cplus::tstring & | getMessage () const
| The application supplied message of logging event.
virtual unsigned int | getType () const
| Returns the 'type' of InternalLoggingEvent.
virtual OFrvalue< OFunique_ptr< InternalLoggingEvent > > | clone () const
| Returns a copy of this object.
const log4cplus::tstring & | getLoggerName () const
| The logger of the logging event.
LogLevel | getLogLevel () const
| LogLevel of logging event.
const log4cplus::tstring & | getNDC () const
| The nested diagnostic context (NDC) of logging event.
const log4cplus::tstring & | getThread () const
| The name of thread in which this logging event was generated.
const log4cplus::tstring & | getThread2 () const
const log4cplus::helpers::Time & | getTimestamp () const
| The number of milliseconds elapsed from 1/1/1970 until logging event was created.
const log4cplus::tstring & | getFile () const
| The is the file where this log statement was written.
int | getLine () const
| The is the line where this log statement was written.

## Protected Attributes
bool | threadCached
| Indicates whether or not the Threadname has been retrieved.
bool | ndcCached
| Indicates whether or not the NDC has been retrieved.
bool | mdcCached
| Indicates whether or not the MDC has been retrieved.

## Detailed Description

The internal representation of logging events.

When an affirmative decision is made to log then a `InternalLoggingEvent` instance is created. This instance is passed around to the different log4cplus components.

This class is of concern to those wishing to extend log4cplus.

## Constructor & Destructor Documentation

## ◆ InternalLoggingEvent()

dcmtk::log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent | ( | const log4cplus::tstring & | logger,
|  | LogLevel | loglevel,
|  | const log4cplus::tstring & | message,
|  | const char * | filename,
|  | int | line )

Instantiate a LoggingEvent from the supplied parameters.

Parameters

  logger | The logger of this event.
  loglevel | The LogLevel of this event.
  message | The message of this event.
  filename | Name of file where this event has occurred, can be NULL.
  line | Line number in file specified by the `filename` parameter.

References InternalLoggingEvent().

Referenced by InternalLoggingEvent().

## Member Function Documentation

## ◆ clone()

virtual OFrvalue< OFunique_ptr< InternalLoggingEvent > > dcmtk::log4cplus::spi::InternalLoggingEvent::clone | ( |  | ) | const
| virtual

Returns a copy of this object.

Derived classes should override this method.

## ◆ getLoggerName()

const log4cplus::tstring & dcmtk::log4cplus::spi::InternalLoggingEvent::getLoggerName | ( |  | ) | const
| inline

The logger of the logging event.

It is set by the LoggingEvent constructor.

## ◆ getThread2()

const log4cplus::tstring & dcmtk::log4cplus::spi::InternalLoggingEvent::getThread2 | ( |  | ) | const
| inline

The alternative name of thread in which this logging event was generated.

## ◆ getType()

virtual unsigned int dcmtk::log4cplus::spi::InternalLoggingEvent::getType | ( |  | ) | const
| virtual

Returns the 'type' of InternalLoggingEvent.

Derived classes should override this method. (NOTE: Values <= 1000 are reserved for log4cplus and should not be used.)

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/logevent.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1